Summary: Very high compression ratio file archiver
Name: p7zip
Version: 15.14
Release: 1
# Files under C/Compress/Lzma/ are dual LGPL or CPL
License: LGPLv2 and (LGPLv2+ or CPL)
Group: Applications/Archiving
URL: http://p7zip.sourceforge.net/
Source0: %{name}_%{version}_src_all.tar.bz2
Patch0: %{name}_%{version}-aix.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch, make, tar
BuildRequires: gcc-c++ >= 4.5.4-1, libstdc++-devel >= 4.5.4-1
Requires: libgcc >= 4.5.4-1, libstdc++ >= 4.5.4-1

%description
p7zip is a port of 7za.exe for Unix. 7-Zip is a file archiver with a very high
compression ratio. The original version can be found at http://www.7-zip.org/.


%package plugins
Summary: Additional plugins for p7zip
Group: Applications/Archiving
Requires: %{name} = %{version}-%{release}

%description plugins
Additional plugins that can be used with 7z to extend its abilities.
This package contains also a virtual file system for Midnight Commander.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -n %{name}_%{version}
%patch0
# Move docs early so that they don't get installed by "make install" and we
# can include them in %%doc
%{__mv} DOC docs
%{__mv} ChangeLog README TODO docs/
# And fix useless executable bit while we're at it
find docs    -type f -exec chmod -x {} \;
find contrib -type f -exec chmod -x {} \;


%build
cp -f makefile.aix_cc makefile.machine
cp -f makefile.aix_gcc makefile.machine

gmake %{?_smp_mflags} all \
    DEST_HOME=%{_prefix} \
    DEST_BIN=%{_bindir} \
    DEST_SHARE=%{_libexecdir}/p7zip \
    DEST_MAN=%{_mandir}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install \
    DEST_DIR=${RPM_BUILD_ROOT} \
    DEST_HOME=%{_prefix} \
    DEST_BIN=%{_bindir} \
    DEST_SHARE=%{_libexecdir}/p7zip \
    DEST_MAN=%{_mandir}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc docs/*
%{_bindir}/7za
%{_libexecdir}/p7zip/
%{_mandir}/man1/7za.1*


%changelog
* Tue Apr 05 2016 Michael Perzl <michael@perzl.org> - 15.14-1
- updated to version 15.14

* Sat Dec 26 2015 Michael Perzl <michael@perzl.org> - 15.09-1
- updated to version 15.09

* Sat Dec 26 2015 Michael Perzl <michael@perzl.org> - 9.38.1-1
- updated to version 9.38.1

* Thu Feb 19 2015 Michael Perzl <michael@perzl.org> - 9.38-1
- updated to version 9.38

* Thu Mar 24 2011 Michael Perzl <michael@perzl.org> - 9.20.1-1
- updated to version 9.20.1

* Wed Jul 28 2010 Michael Perzl <michael@perzl.org> - 9.13-1
- first version for AIX V5.1 and higher
